Bug Filed on 02-25-2016: Cannot install for Python 3.4.2 : missing development headers


#1

1. What OS? (Wheezy or Jessie)

Jessie

2. What class/size SD card? (ex. class 10 16gb)

32gb

3. What Model Pi? (A+, A, B+, B, Pi2)

Pi2 B+

4. Please describe the bug / issue. Attaching any relevant screenshots would be very helpful! Thanks in advance.

Continue to get error that python-dev cannot be found… For some reason your install keeps overwriting what is already installed and then fails. I then do apt-get -f install and it reinstalls the newer python 3.2-dev libraries.

====
Thu Feb 25 09:24:40 PST 2016 Installing myDevices agent
Thu Feb 25 09:24:58 PST 2016 Installing system libraries
Thu Feb 25 09:24:59 PST 2016 Installing python3-dev
(2%)
Thu Feb 25 09:25:04 PST 2016 Installing debian package: libpython3.2_3.2.3-7_armhf.deb
(4%)
Thu Feb 25 09:25:09 PST 2016 Installing debian package: libssl1.0.0_1.0.1e-2+rvt+deb7u17_armhf.deb
(6%)
Thu Feb 25 09:25:40 PST 2016 Installing debian package: libssl-dev_1.0.1e-2+rvt+deb7u17_armhf.deb
(8%)
Thu Feb 25 09:25:54 PST 2016 Installing debian package: libexpat1_2.1.0-7_armhf.deb
(10%)
Thu Feb 25 09:26:16 PST 2016 Installing debian package: libexpat1-dev_2.1.0-7_armhf.deb
(12%)
Thu Feb 25 09:26:58 PST 2016 Installing debian package: python3.2-dev_3.2.3-7_armhf.deb
Thu Feb 25 09:26:59 PST 2016 Found Python 3.4.2…
(80%)
Thu Feb 25 09:26:59 PST 2016 Copying agent libraries
(85%)
Thu Feb 25 09:27:12 PST 2016 Installing python utils
(90%)
Thu Feb 25 09:27:13 PST 2016 Installing agent
Thu Feb 25 09:27:14 PST 2016 Cannot install for Python 3.4.2 : missing development headers\n
Thu Feb 25 09:27:14 PST 2016 Finished agent code
Thu Feb 25 09:27:14 PST 2016 ERROR: myDevices cannot be installed - please check errors above

apt-get -f install output

Reading package lists… Done
Building dependency tree
Reading state information… Done
Correcting dependencies… Done
The following extra packages will be installed:
libpython3.2 python3.2-dev
The following packages will be upgraded:
libpython3.2 python3.2-dev
2 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
2 not fully installed or removed.
Need to get 0 B/22.8 MB of archives.
After this operation, 7484 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database … 117623 files and directories currently installed.)
Preparing to unpack …/python3.2-dev_3.2.4-1+b1_armhf.deb …
Unpacking python3.2-dev (3.2.4-1+b1) over (3.2.3-7) …
Preparing to unpack …/libpython3.2_3.2.4-1+b1_armhf.deb …
Unpacking libpython3.2 (3.2.4-1+b1) over (3.2.3-7) …
Processing triggers for man-db (2.7.0.2-5) …
Setting up libpython3.2 (3.2.4-1+b1) …
Setting up python3.2-dev (3.2.4-1+b1) …
Processing triggers for libc-bin (2.19-18+deb8u3) …


#2

Hi @ctaylor,

Welcome to the Cayenne Community. This is a known issue with Jessie Lite. There is a workaround here:

Let us know if you continue with issues? (We’re working to officially support Jessie Lite).

-B


#3

Ah, didn’t realize I was using Jessie lite - Pretty sure I had installed from the regular Jessie tree, not the lite source tree.


#4

No worries! Let us know if you are still having issues?

-B


#5

Were you able to get the install to work?

-B


#6

In my case it was resolved with sudo apt-get install python3-pip


#7

Got it, thanks for sharing.

-B